### experimental::wait_for_one_error

Wait until an operation completes with an error, then cancel the others.

    class wait_for_one_error

##### Member Functions

Name | Description
--- | ---
operator() |
wait_for_one_error [constructor] |

If no operation completes with an error, waits for completion of all operations.

##### Requirements

Header: `asio/experimental/cancellation_condition.hpp`

Convenience header: None